Package org.apache.wiki.providers

## Class WikiAttachmentAdapterProvider

- java.lang.Object
- - org.apache.wiki.providers.WikiAttachmentAdapterProvider

All Implemented Interfaces:
  `AttachmentProvider`, `WikiProvider`

    @Deprecated
    public class WikiAttachmentAdapterProvider
    extends java.lang.Object
    implements AttachmentProvider

Deprecated.
adapted provider should use `AttachmentProvider` instead.
This provider ensures backward compatibility with attachment providers not using the public API. As providers should use the public API directly, the use of this class is considered deprecated.

See Also:
  `AttachmentProvider`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.AttachmentProvider

`PROP_STORAGEDIR`

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

### Constructor Summary

Constructors
`WikiAttachmentAdapterProvider()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `deleteAttachment​(Attachment att)` Deprecated.
`void` `deleteVersion​(Attachment att)` Deprecated.
`java.util.Collection<Attachment>` `findAttachments​(QueryItem[] query)` Deprecated.
`java.io.InputStream` `getAttachmentData​(Attachment att)` Deprecated.
`Attachment` `getAttachmentInfo​(Page page, java.lang.String name, int version)` Deprecated.
`java.lang.String` `getProviderInfo()` Deprecated.
`java.util.List<Attachment>` `getVersionHistory​(Attachment att)` Deprecated.
`void` `initialize​(Engine engine, java.util.Properties properties)` Deprecated.
`java.util.List<Attachment>` `listAllChanged​(java.util.Date timestamp)` Deprecated.
`java.util.List<Attachment>` `listAttachments​(Page page)` Deprecated.
`void` `moveAttachmentsForPage​(java.lang.String oldParent, java.lang.String newParent)` Deprecated.
`void` `putAttachmentData​(Attachment att, java.io.InputStream data)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WikiAttachmentAdapterProvider

    public WikiAttachmentAdapterProvider()

Deprecated.

### Method Detail

#### initialize

    public void initialize​(Engine engine,
                           java.util.Properties properties)
                    throws NoRequiredPropertyException,
                           java.io.IOException

Deprecated.

Specified by:
  `initialize` in interface `WikiProvider`
Throws:
  `NoRequiredPropertyException`
  `java.io.IOException`

#### getProviderInfo

    public java.lang.String getProviderInfo()

Deprecated.

Specified by:
  `getProviderInfo` in interface `WikiProvider`

#### putAttachmentData

    public void putAttachmentData​(Attachment att,
                                  java.io.InputStream data)
                           throws ProviderException,
                                  java.io.IOException

Deprecated.

Specified by:
  `putAttachmentData` in interface `AttachmentProvider`
Throws:
  `ProviderException`
  `java.io.IOException`

#### getAttachmentData

    public java.io.InputStream getAttachmentData​(Attachment att)
                                          throws ProviderException,
                                                 java.io.IOException

Deprecated.

Specified by:
  `getAttachmentData` in interface `AttachmentProvider`
Throws:
  `ProviderException`
  `java.io.IOException`

#### listAttachments

    public java.util.List<Attachment> listAttachments​(Page page)
                                               throws ProviderException

Deprecated.

Specified by:
  `listAttachments` in interface `AttachmentProvider`
Throws:
  `ProviderException`

#### findAttachments

    public java.util.Collection<Attachment> findAttachments​(QueryItem[] query)

Deprecated.

Specified by:
  `findAttachments` in interface `AttachmentProvider`

#### listAllChanged

    public java.util.List<Attachment> listAllChanged​(java.util.Date timestamp)
                                              throws ProviderException

Deprecated.

Specified by:
  `listAllChanged` in interface `AttachmentProvider`
Throws:
  `ProviderException`

#### getAttachmentInfo

    public Attachment getAttachmentInfo​(Page page,
                                        java.lang.String name,
                                        int version)
                                 throws ProviderException

Deprecated.

Specified by:
  `getAttachmentInfo` in interface `AttachmentProvider`
Throws:
  `ProviderException`

#### getVersionHistory

    public java.util.List<Attachment> getVersionHistory​(Attachment att)

Deprecated.

Specified by:
  `getVersionHistory` in interface `AttachmentProvider`

#### deleteVersion

    public void deleteVersion​(Attachment att)
                       throws ProviderException

Deprecated.

Specified by:
  `deleteVersion` in interface `AttachmentProvider`
Throws:
  `ProviderException`

#### deleteAttachment

    public void deleteAttachment​(Attachment att)
                          throws ProviderException

Deprecated.

Specified by:
  `deleteAttachment` in interface `AttachmentProvider`
Throws:
  `ProviderException`

#### moveAttachmentsForPage

    public void moveAttachmentsForPage​(java.lang.String oldParent,
                                       java.lang.String newParent)
                                throws ProviderException

Deprecated.

Specified by:
  `moveAttachmentsForPage` in interface `AttachmentProvider`
Throws:
  `ProviderException`